All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.security
Interface RemotePasswordCallbackInterface

All Superinterfaces:
  javax.security.auth.callback.Callback, java.rmi.Remote, RemoteCallbackInterface

All Known Implementing Classes:
  RemotePasswordCallback

    public interface RemotePasswordCallbackInterface

extends RemoteCallbackInterface

Interface for a remote version of the PasswordCallback defined in the javax.security.auth.callback package.

Since:
  1.0

Method Summary
`void` | `ClearPassword()` Clear the password stored in this object.
`char[]` | `getPassword()` Get the password provided by the user as a character array.
`java.lang.String` | `getPrompt()` Get the prompt to display when asking for the password.
`boolean` | `isEchoOn()` Get the flag indicating whether to echo input.
`void` | `setPassword(char[] password)` Set the password entered by the user.

Method Detail

### ClearPassword

    void ClearPassword()
                       throws java.rmi.RemoteException

  Clear the password stored in this object. This is a security measure to be sure the password isn't laying around in memory after it's no longer needed.

  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getPassword

    char[] getPassword()
                       throws java.rmi.RemoteException

  Get the password provided by the user as a character array.

  Returns:
    A character array with the password to authenticate.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### setPassword

    void setPassword(char[] password)
                     throws java.rmi.RemoteException

  Set the password entered by the user.

  Parameters:
    `password` - A character array containing the user's password.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getPrompt

    java.lang.String getPrompt()
                               throws java.rmi.RemoteException

  Get the prompt to display when asking for the password.

  Returns:
    The prompt string, or null if none was set.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### isEchoOn

    boolean isEchoOn()
                     throws java.rmi.RemoteException

  Get the flag indicating whether to echo input. This flag should be set on the constructor.

  Returns:
    The echo flag.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.